Skip to content
Back to top
View this page

# GameHighScore

class telegram.GameHighScore(position, user, score, *, api_kwargs=None)

  Bases: `telegram.TelegramObject`

  This object represents one row of the high scores table for a game.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if their `position`, `user` and `score` are equal.

  Returned In

  `telegram.Bot.get_game_high_scores()`

  Parameters:

    - position (`int`) – Position in high score table for the game.

    - user (`telegram.User`) – User.

    - score (`int`) – Score.

  position

    Position in high score table for the game.

    Type:

      `int`

  user

    User.

    Type:

      `telegram.User`

  score

    Score.

    Type:

      `int`

  classmethod de_json(data, bot=None)

    See `telegram.TelegramObject.de_json()`.